aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/Makefile.am1
-rw-r--r--test/data/ical-008.ical12
-rwxr-xr-xtest/ical-008.sh28
3 files changed, 41 insertions, 0 deletions
diff --git a/test/Makefile.am b/test/Makefile.am
index f8d6088..b59a1a8 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -49,6 +49,7 @@ TESTS = \
ical-005.sh \
ical-006.sh \
ical-007.sh \
+ ical-008.sh \
next-001.sh \
search-001.sh \
bug-002.sh \
diff --git a/test/data/ical-008.ical b/test/data/ical-008.ical
new file mode 100644
index 0000000..51625d5
--- /dev/null
+++ b/test/data/ical-008.ical
@@ -0,0 +1,12 @@
+BEGIN:VCALENDAR
+VERSION:2.0
+BEGIN:VEVENT
+DTSTART;TZID="(UTC+01:00) Amsterdam, Berlin, Bern, Rom, Stockholm, Wien":19800101T000100
+DURATION:P1DT9H17M0S
+SUMMARY:Calibrator's
+END:VEVENT
+BEGIN:VTODO
+PRIORITY:1
+SUMMARY:Nary parabled Louvre's fleetest mered
+END:VTODO
+END:VCALENDAR
diff --git a/test/ical-008.sh b/test/ical-008.sh
new file mode 100755
index 0000000..ff45cad
--- /dev/null
+++ b/test/ical-008.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-008.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -s01/01/1980 -r2
+ "$CALCURSE" -D "$PWD/.calcurse" -t
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+Import process report: 0017 lines read
+1 app / 0 events / 1 todo / 0 skipped
+01/01/80:
+ - 00:01 -> ..:..
+ Calibrator's
+
+01/02/80:
+ - ..:.. -> 09:18
+ Calibrator's
+to do:
+0. Nary parabled Louvre's fleetest mered
+EOD
+else
+ ./run-test "$0"
+fi